import es
from random import choice as rChoice
from popuplib import easymenu

player = {}

class Speed_HP(object):
    def __init__(self, userid):
        self.userid = userid
        self.choice = self.menu = 0
    def _menu(self):
        if not self.menu:
            self.menu = 1
            menu.send(self.userid)
        else:
            es.tell(self.userid, '#multi', '#green[#lightgreenSpeed or HP#green] #defaultYou can only open the menu #lightgreenonce #defaultafter spawn!')
    def _Menu(self, choice):
        self.choice = choice
        self.choices()
    def spawn(self):
        self.menu = 0
        if not self.choice:
            menu.send(self.userid)
        else:
            self.choices()
    def choices(self):
        if self.choice == 'hp':
            self._set(175, .7)
        elif self.choice == 'speed':
            self._set(55, 1.2)
        elif self.choice == 'wep':
            self._set(55, .7)
            self.strip()
        elif self.choice == 'normal':
            self._set(100, 1)
    def _set(self, hp, speed):
        es.setplayerprop(self.userid, 'CBasePlayer.m_iHealth', hp)
        es.setplayerprop(self.userid, 'CBasePlayer.localdata.m_flLaggedMovementValue', speed)
    def strip(self):
        es.server.queuecmd('es_xfire %s player_weaponstrip kill' % self.userid)
        es.server.queuecmd('es_xgive %s player_weaponstrip' % self.userid)
        es.server.queuecmd('es_xfire %s player_weaponstrip strip' % self.userid)
        es.delayed(0, 'es_xgive %s weapon_knife;es_xgive %s weapon_%s' % (self.userid, self.userid, rChoice(['m4a1', 'ak47', 'famas', 'awp', 'scout', 'mp5navy', 'galil', 'm249'])))

def load():
    global menu
    menu = easymenu('choose', '_popup_choice', player_men)
    menu.settitle('Choose...')
    menu.addoption('hp', 'More Health - Less Speed')
    menu.addoption('speed', 'More Speed - Less Health')
    menu.addoption('wep', 'More Powerful Weapons - Less Speed & Health')
    menu.addoption('normal', 'Normal Gameplay')
    if not es.exists('saycommand', 'menu'):
        es.regsaycmd('menu', 'speed_or_hp/player_menu')
    for userid in es.getUseridList():
        player[userid] = Speed_HP(userid)

def unload():
    menu.delete()
    player.clear()

def player_activate(ev):
    userid = int(ev['userid'])
    player[userid] = Speed_HP(userid)

def player_menu():
    player[int(es.getcmduserid())]._menu()

def player_spawn(ev):
    userid = int(ev['userid'])
    if player.has_key(userid):
        player[userid].spawn()

def player_men(userid, choice, popupid):
    player[int(userid)]._Menu(choice)
